<!DOCTYPE html>
<html>
    <h1 style="color:rgb(255, 0, 140);">CALCULATOR</h1>
    <head>
        <style type="text/css">
      
        input[type=text]{
            background-color: black;
            color:yellowgreen;
            height: 100%;
            width: 100%;
            font-size: 40px;
        }
input[type=button]{
    background-color: black;
            color:yellow;
            height: 100%;
            width: 100%;
            font-size: 40px;
}
        </style>
    </head>
    <body background="back.jpg"  height=100px  width=100px >
        <table border="1">
            <tr>
                <td colspan="3"><input type="text" id="result"/></td>
                <td><input type="button" value="c" onclick="Clear()"/> </td>
            </tr>
            <tr>
                <td><input type="button" value="1" onclick="display('1')"/> </td>
                <td><input type="button" value="2" onclick="display('2')"/> </td>
                <td><input type="button" value="3" onclick="display('3')"/> </td>
                <td><input type="button" value="/" onclick="display('/')"/> </td>
            </tr>
            <tr>
                <td><input type="button" value="4" onclick="display('4')"/> </td>
                <td><input type="button" value="5" onclick="display('5')"/> </td>
                <td><input type="button" value="6" onclick="display('6')"/> </td>
                <td><input type="button" value="+" onclick="display('+')"/> </td>
            </tr>
            <tr>
                <td><input type="button" value="7" onclick="display('7')"/> </td>
                <td><input type="button" value="8" onclick="display('8')"/> </td>
                <td><input type="button" value="9" onclick="display('9')"/> </td>
                <td><input type="button" value="-" onclick="display('-')"/> </td>
            </tr>
            <tr>
                <td><input type="button" value="0" onclick="display('0')"/> </td>
                <td><input type="button" value="%" onclick="display('%')"/> </td>
                <td><input type="button" value="*" onclick="display('*')"/> </td>
                <td><input type="button" value="=" onclick="Solve()"/> </td>
            </tr>
        </table>
        <script>
            function display(val){
                document.getElementById("result").value+=val
            }
            function Solve(){
                let X=document.getElementById("result").value
                let Y=eval(X)
                document.getElementById("result").value=Y
            }
            function Clear(){
                document.getElementById("result").value=""

            }
        </script>
    </body>
</html>
